View Issue Details

IDProjectCategoryView StatusLast Update
0003057SOGoActiveSyncpublic2015-01-15 11:55
ReporterSigurd Holter Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.13 
Fixed in Version2.2.14 
Summary0003057: Contacts are multiplied to SOGo when copying from PST file to Outlook 2013
Description

As reported to the mailing list some time ago contacts are still multiplied.

Moving 5 contacts from PST file creates 13 entries in SOGo.

Moving 3 contacts from PST file creates 9 entries in SOGo.

Outlook 2013 only shows the 8 moved contacts and doesn't seem to download the additional copies from SOGo.

Steps To Reproduce

Open PST file in Outlook 2013 connected with EAS.
Copy contacts from PST folder to Outlook 2013 contacts folder.

TagsNo tags attached.

Activities

Sigurd Holter

Sigurd Holter

2015-01-14 03:05

reporter   ~0008074

Did a resetdevice (see http://www.sogo.nu/bugs/view.php?id=3017) and deleted profile from Outlook, started new profile, problem still persists.

Sigurd Holter

Sigurd Holter

2015-01-14 03:20

reporter   ~0008075

Creating a contact in Outlook 2013 performs and syncs as expected.
Creating an entry in SOGo web address book performs and syncs as expected.
So this is only when copying from PST to Outlook contact folder.

If I copy 5 contacts, there are only 5 contacts at first in OL.
Then these 5 are synced to SOGo, and I see 5 x 5 = 25 contacts in SOGo.
These are then synced back to OL, resulting in 25 contacts in OL as well.

ludovic

ludovic

2015-01-15 11:55

administrator   ~0008084

https://github.com/inverse-inc/sogo/commit/16c863d89dc7555d3c1a490c3467c08c00bd421f

Issue History

Date Modified Username Field Change
2015-01-12 03:13 Sigurd Holter New Issue
2015-01-14 03:05 Sigurd Holter Note Added: 0008074
2015-01-14 03:20 Sigurd Holter Note Added: 0008075
2015-01-15 11:55 ludovic Note Added: 0008084
2015-01-15 11:55 ludovic Status new => resolved
2015-01-15 11:55 ludovic Fixed in Version => 2.2.14
2015-01-15 11:55 ludovic Resolution open => fixed
2015-01-15 11:55 ludovic Assigned To => ludovic